#
#                             stb225 Project
#                   ---------------------------------
#
# Copyright (C) 2008 NXP B.V.,
# All Rights Reserved.
#
# Filename: site_setup_caen.sh
#
#
# Rev Date       Author      Comments
#-------------------------------------------------------------------------------
#   1 20060711   batelaan    Initial
#   3 20081209   batelaan    Rm MVROOT. Append BUILD_TYPE to BUILDROOT_PATH_FMT

# Site-specific setup script sourced from $PRJROOT/setup.sh
# Arguments:
# - setup_start: execute commands at the beginning of setup.sh
# - setup_end: execute commands at the end of setup.sh

case "x$1" in
    xsetup_start)
        _SetOverride ELDK_ROOT $CADENV_HOME/eldk

        _SetOverride BUILDROOT_PATH_FMT '${PRJROOT}/build_${CONFIG_NAME}_${CONFIG_BUILD_TYPE}'
        _SetOverride TFTPBOOT ${HOME}/tftpboot
        export PATH="/opt/tuxbuilder-1.0/mipsel-unknown-linux-gnu/cross/bin:/user/swg/stb225/tools/bin:${PATH}"
    ;;

    xsetup_end)
        export PATH=`echo $PATH | sed 's?:/user/[^:]*/cadbin:?:?g'`

        #we don't want sudo to be used, so we set it to nothing
        #unset SUDO; export SUDO=

        echo "Configure completed for CHINA"
        ;;

    x*)
        echo 2>&1 "**ERROR: $BASH_SOURCE: incorrect argument ($1): should be setup_start|setup_end"
esac
