#
#                             IPSTB Project
#                   ---------------------------------
#
# Copyright (C) 2009 NXP B.V.,
# All Rights Reserved.
#
# Filename: toolchains/eldk.mk
#
# Rev Date        Author      Comments
#-------------------------------------------------------------------------------
#   1 20080306    batelaan    Initial
#   2 20090327    batelaan    Define CROSS_COMPILE_LIBC and CROSS_COMPILE_LIB_FILES

# File: eldk.mk
# Include makefile to define the eldk MIPS toolchain.
# Defines variable <toolchain/eldk.env>.
#
# Included from:-
# - <platforms.mk>.
# - <platform_dsp_cpu.mk> or
# - <platform_control_cpu.mk>
#
# Includes:-
# - none

export CROSS_COMPILE
export CROSS_COMPILE_BASE
export CROSS_COMPILE_LIBS
export CROSS_COMPILE_PREFIX
export CROSS_COMPILE_ROOTFS
export CROSS_GCC
export GCC_BASE
export GCC_PREFIX

# Can be overridden from the environment:
ELDK_ROOT ?= /opt/eldk

ifdef CPUBUILDROOT
  CROSS_COMPILE_LIBC = libc.so.6
  CROSS_COMPILE_LIB_FILES = \
    ld.so.1 \
    libc.so.6 \
    libgcc_s.so \
    libm.so \
    libpthread.so \
    librt.so \
    libstdc++.so \
    libutil.so
else
  define toolchain/eldk.env
    $(call ENVS_ENTER,toolchain/eldk.env)
    $(call setenvVar,GCC_BASE,$$(ELDK_ROOT))
    $(call setenvVar,CROSS_COMPILE,mips_4KC$$(filter le,$$(_TMTGTENDIANX))-)
    $(call setenvVar,CROSS_COMPILE_BASE,$$(GCC_BASE))
    $(call setenvVar,CROSS_COMPILE_ROOTFS,$$(CROSS_COMPILE_BASE)/mips_4KC$$(filter le,$$(_TMTGTENDIANX)))
    $(call setenvVar,CROSS_COMPILE_LIBS,$$(CROSS_COMPILE_ROOTFS)/lib $$(CROSS_COMPILE_ROOTFS)/usr/lib)
    $(call setenvVar,GCC_PREFIX,mips_4KC$$(filter le,$$(_TMTGTENDIANX)))
    $(call setenvVar,CROSS_COMPILE_PREFIX,$$(GCC_PREFIX))
    $(call setenvVar,CROSS_GCC,/opt/eldk/usr/mips-linux)
    $(call prependenvVar,PATH,$(if $(wildcard /opt/pandora2/bin),/opt/pandora2/bin:,)$$(CROSS_COMPILE_BASE)/usr/bin:$$(CROSS_COMPILE_BASE)/bin:)
    $(call ENVS_LEAVE,toolchain/eldk.env)
  endef
endif
