export CROSS_COMPILE
export CROSS_COMPILE_BASE
export CROSS_COMPILE_LIBS
export CROSS_COMPILE_PREFIX
export CROSS_COMPILE_ROOTFS
export CROSS_GCC
export GCC_BASE
export GCC_PREFIX

# This is set by the Roku STB225 build system so that we don't have to
# specify the toolchain multiple times.
ifndef MIPSTOOLS_ROOT
$(error MIPSTOOLS_ROOT not set)
endif

ifdef CPUBUILDROOT
  CROSS_COMPILE_LIBC = libc.so.6
  CROSS_COMPILE_LIB_FILES = \
    ld.so.1 \
    libc.so.6 \
    libcrypt.so \
    libdl.so \
    libgcc_s.so \
    libm.so \
    libnsl.so \
    libnss_compat.so \
    libnss_dns.so \
    libnss_files.so \
    libnss_hesiod.so \
    libnss_nis.so \
    libnss_nisplus.so \
    libpthread.so \
    libresolv.so \
    librt.so \
    libstdc++.so \
    libthread_db.so \
    libutil.so
endif

ifndef CPUBUILDROOT
  define toolchain/mipstools.env
    $(call ENVS_ENTER,toolchain/mipstools.env)
    $(call setenvVar,GCC_BASE,$$(MIPSTOOLS_ROOT))
    $(call setenvVar,CROSS_COMPILE,mipsel-linux-)
    $(call setenvVar,CROSS_COMPILE_BASE,$$(GCC_BASE))
    $(call setenvVar,CROSS_COMPILE_ROOTFS,$$(CROSS_COMPILE_BASE)/mipsel-linux)
    $(call setenvVar,CROSS_COMPILE_LIBS,$$(CROSS_COMPILE_ROOTFS)/lib $$(CROSS_COMPILE_ROOTFS)/lib)
    $(call setenvVar,GCC_PREFIX,mipsel-linux)
    $(call setenvVar,CROSS_COMPILE_PREFIX,$$(GCC_PREFIX))
    $(call setenvVar,CROSS_GCC,$$(MIPSTOOLS_ROOT)/mipsel-linux)
    $(call prependenvVar,PATH,$(if $(wildcard $(PRJROOT)/ccache_symlinks),$$(PRJROOT)/ccache_symlinks:,)$$(CROSS_COMPILE_BASE)/bin:)
    $(call ENVS_LEAVE,toolchain/mipstools.env)
  endef
endif
