#
#                             IPSTB Project
#                   ---------------------------------
#
# Copyright (C) 2008 NXP B.V.,
# All Rights Reserved.
#
# Filename: toolchains/tuxbuilder-1.0.mk
#
# Rev Date        Author      Comments
#-------------------------------------------------------------------------------
#   1 20080306    batelaan    Initial
#   3 20090327    batelaan    libc/uclibc support

# File: tuxbuilder-1.0.mk
# Include makefile to define the tuxbuilder-1.0 MIPS toolchain.
# It uses libc.
# Defines variable <toolchain/mips.env>.
#
# Included from:-
# - <platforms.mk>.
# - <platform_dsp_cpu.mk> or
# - <platform_control_cpu.mk>
#
# Includes:-
# - <toolchains/tuxbuilder_common.mk>

TUXBUILDER_VERSION = 1.0
TUXBUILDER_TYPE = mipsel-unknown-linux-gnu

ifdef CPUBUILDROOT
  CROSS_COMPILE_LIBC = libc.so.6
  CROSS_COMPILE_LIB_FILES = \
    ld.so.1 \
    libc.so.6 \
    libcrypt.so \
    libdl.so \
    libgcc_s.so \
    libm.so \
    libnsl.so \
    libnss_compat.so \
    libnss_dns.so \
    libnss_files.so \
    libnss_hesiod.so \
    libnss_nis.so \
    libnss_nisplus.so \
    libpthread.so \
    libresolv.so \
    librt.so \
    libstdc++.so \
    libthread_db.so \
    libutil.so
endif

include etc/toolchains/tuxbuilder_common.mk
