/*****************************************************************************/
/* Copyright (c) 2009 NXP B.V.  All rights are reserved.                     */
/*                                                                           */
/* Redistribution and use in source and binary forms, with or without        */
/* modification, are permitted provided that the following conditions        */
/* are met:                                                                  */
/*                                                                           */
/* Redistributions of source code must retain the above copyright            */
/* notice, this list of conditions and the following disclaimer.             */
/*                                                                           */
/* Redistributions in binary form must reproduce the above copyright         */
/* notice, this list of conditions and the following disclaimer in the       */
/* documentation and/or other materials provided with the distribution.      */
/*                                                                           */
/* Neither the name of NXP nor the names of its                              */
/* contributors may be used to endorse or promote products derived from      */
/* this software without specific prior written permission.                  */
/*                                                                           */
/* THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS       */
/* "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT         */
/* LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR     */
/* A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT      */
/* OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,     */
/* SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT          */
/* LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,     */
/* DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY     */
/* THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT       */
/* (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE         */
/* USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH          */
/* DAMAGE.                                                                   */
/*                                                                           */
/*****************************************************************************/
#ifndef _TMFLAGS_H_SEEN_
#define _TMFLAGS_H_SEEN_

/*  */
/*  DOCUMENT REF: DVP Build Process Specification */
/*  */
/*  NOTES:        This makefile defines the TMFL_xxx build flags. */
/*  */
/*  configuration */
/*  */
/*  */
/*  FILENAME:     tmFlags.h */

#define  TMFL_BUILD_VERSION            
#define  TMFL_CPU                      0x00010001
#define  TMFL_ENDIAN                   0
#define  TMFL_OS                       0x0C000000
#define  TMFL_CPU_IS_8051              0
#define  TMFL_CPU_IS_ARM               0
#define  TMFL_CPU_IS_HP                0
#define  TMFL_CPU_IS_MIPS              0
#define  TMFL_CPU_IS_DSPRD             0
#define  TMFL_CPU_IS_DSPVD             0
#define  TMFL_CPU_IS_TM                0
#define  TMFL_CPU_IS_X86               1
#define  TMFL_OS_IS_BTM                0
#define  TMFL_OS_IS_CE                 0
#define  TMFL_OS_IS_CEXEC              0
#define  TMFL_OS_IS_ECOS               0
#define  TMFL_OS_IS_INTEGRITY          0
#define  TMFL_OS_IS_LINUX              1
#define  TMFL_OS_IS_MTOS               0
#define  TMFL_OS_IS_NT                 0
#define  TMFL_OS_IS_NUCLEUS            0
#define  TMFL_OS_IS_NULLOS             0
#define  TMFL_OS_IS_OSCAN              0
#define  TMFL_OS_IS_PSOS               0
#define  TMFL_OS_IS_UCOS               0
#define  TMFL_OS_IS_VXWORKS            0
#define  TMFL_TOOLCHAIN_NCSC           0
#define  TMFL_TOOLCHAIN_OSCI           0
#define  TMFL_TOOLCHAIN_DDK            0
/* XXFL_MODE_KERNEL placeholder */
#if TMFL_MODE_KERNEL
#define TMFL_MODE_USER 0
#else
#define TMFL_MODE_USER 1
#endif
 
/*  DO NOT CHANGE THIS FILE INDEPENDENTLY !!!*/
/*  IT MUST BE SYNCHONISED WITH THE TMFLAGS TEMPLATE FILE ON THE*/
/*  MOREUSE WEB SITE */
/*  http://nww.nxp.com/it/corpit/products/reuse-standards/html/global_files.html*/
/*  CONTACT MOREUSE BEFORE ADDING NEW VALUES*/
/*  constants*/

#define  TMFL_CPU_TYPE_MASK            0xffff0000
#define  TMFL_CPU_TYPE_X86             0x00010000
#define  TMFL_CPU_TYPE_MIPS            0x00020000
#define  TMFL_CPU_TYPE_TM              0x00030000
#define  TMFL_CPU_TYPE_HP              0x00040000
#define  TMFL_CPU_TYPE_ARM             0x00050000
#define  TMFL_CPU_TYPE_DSPRD           0x00060000
#define  TMFL_CPU_TYPE_8051            0x00070000
#define  TMFL_CPU_TYPE_DSPVD           0x00080000
#define  TMFL_CPU_MODEL_MASK           0x0000ffff
#define  TMFL_CPU_MODEL_I486           0x00000001
#define  TMFL_CPU_MODEL_R3940          0x00000002
#define  TMFL_CPU_MODEL_R4300          0x00000003
#define  TMFL_CPU_MODEL_TM1100         0x00000004
#define  TMFL_CPU_MODEL_TM1300         0x00000005
#define  TMFL_CPU_MODEL_TM32           0x00000006
#define  TMFL_CPU_MODEL_HP             0x00000007
#define  TMFL_CPU_MODEL_R4640          0x00000008
#define  TMFL_CPU_MODEL_ARM7           0x00000009
#define  TMFL_CPU_MODEL_ARM920T        0x0000000a
#define  TMFL_CPU_MODEL_ARM940T        0x0000000b
#define  TMFL_CPU_MODEL_ARM10          0x0000000c
#define  TMFL_CPU_MODEL_STRONGARM      0x0000000d
#define  TMFL_CPU_MODEL_RD24120        0x0000000e
#define  TMFL_CPU_MODEL_ARM926EJS      0x0000000f
#define  TMFL_CPU_MODEL_ARM946         0x00000010
#define  TMFL_CPU_MODEL_R1910          0x00000011
#define  TMFL_CPU_MODEL_R4450          0x00000012
#define  TMFL_CPU_MODEL_TM3260         0x00000013
#define  TMFL_CPU_MODEL_8051           0x00000014
#define  TMFL_CPU_MODEL_ARM922T        0x00000015
#define  TMFL_CPU_MODEL_4KEC           0x00000016
#define  TMFL_CPU_MODEL_R4000          0x00000017
#define  TMFL_CPU_MODEL_MIPS32         0x00000018
#define  TMFL_CPU_MODEL_ARM720         0x00000019
#define  TMFL_CPU_MODEL_R3900          0x0000001a
#define  TMFL_CPU_MODEL_RD16023        0x0000001b
#define  TMFL_CPU_MODEL_RD16024        0x0000001c
#define  TMFL_CPU_MODEL_ARM1176JTZS    0x0000001d
#define  TMFL_CPU_MODEL_ARM966ES       0x0000001e
#define  TMFL_CPU_MODEL_ARM968ES       0x0000001f
#define  TMFL_CPU_MODEL_ARM1020E       0x00000020
#define  TMFL_CPU_MODEL_ARM1022E       0x00000021
#define  TMFL_CPU_MODEL_ARM1026EJS     0x00000022
#define  TMFL_CPU_MODEL_ARM1156T2FS    0x00000023
#define  TMFL_CPU_MODEL_ARM1156TFS     0x00000024
#define  TMFL_CPU_MODEL_TM3271         0x00000025
#define  TMFL_CPU_MODEL_24KC           0x00000026
#define  TMFL_CPU_MODEL_24KF           0x00000027
#define  TMFL_CPU_MODEL_RD16025        0x00000028
#define  TMFL_CPU_MODEL_RD16024C1      0x00000029
#define  TMFL_CPU_MODEL_RD16025C1      0x0000002a
#define  TMFL_CPU_MODEL_24KEC          0x0000002b
#define  TMFL_CPU_MODEL_24KEF          0x0000002c
#define  TMFL_CPU_MODEL_TM3270         0x0000002d
#define  TMFL_CPU_MODEL_MIPS16         0x0000002e
#define  TMFL_CPU_MODEL_R3000          0x0000002f
#define  TMFL_CPU_MODEL_VD32040        0x00000030
#define  TMFL_CPU_MODEL_TM2270         0x00000031
#define  TMFL_CPU_MODEL_TM5250         0x00000032
#define  TMFL_CPU_MODEL_ARMV4I         0x00000033
#define  TMFL_CPU_MODEL_MIPS1          0x00000034
#define  TMFL_CPU_MODEL_MIPS2          0x00000035
#define  TMFL_CPU_MODEL_MIPS3          0x00000036
#define  TMFL_CPU_MODEL_MIPS4          0x00000037
#define  TMFL_CPU_MODEL_MIPS5          0x00000038
#define  TMFL_CPU_MODEL_MIPS64         0x00000039
#define  TMFL_ENDIAN_BIG               1
#define  TMFL_ENDIAN_LITTLE            0
#define  TMFL_OS_MASK                  0xff000000
#define  TMFL_OS_VERSION_MASK          0x00ffffff
#define  TMFL_OS_BTM                   0x00000000
#define  TMFL_OS_CE                    0x01000000
#define  TMFL_OS_CE212                 0x01020102
#define  TMFL_OS_CE300                 0x01030000
#define  TMFL_OS_CE600                 0x01060000
#define  TMFL_OS_NT                    0x02000000
#define  TMFL_OS_NT4                   0x02040000
#define  TMFL_OS_PSOS                  0x03000000
#define  TMFL_OS_PSOS250               0x03020500
#define  TMFL_OS_PSOS200               0x03020000
#define  TMFL_OS_NULLOS                0x04000000
#define  TMFL_OS_ECOS                  0x05000000
#define  TMFL_OS_VXWORKS               0x06000000
#define  TMFL_OS_MTOS                  0x07000000
#define  TMFL_OS_CEXEC                 0x08000000
#define  TMFL_OS_NUCLEUS               0x09000000
#define  TMFL_OS_UCOS                  0x0A000000
#define  TMFL_OS_INTEGRITY             0x0B000000
#define  TMFL_OS_LINUX                 0x0C000000
#define  TMFL_OS_OSCAN                 0x0D000000
#define  TMFL_SCOPE_SP                 0
#define  TMFL_SCOPE_MP                 1
#define  TMFL_REL_TRACE                0x00000003
#define  TMFL_REL_ASSERT               0x00000002
#define  TMFL_REL_DEBUG                0x00000001
#define  TMFL_REL_RETAIL               0x00000000
#define  TMFL_CPU_I486                 0x00010001
#define  TMFL_CPU_R3940                0x00020002
#define  TMFL_CPU_R4300                0x00020003
#define  TMFL_CPU_TM1100               0x00030004
#define  TMFL_CPU_TM1300               0x00030005
#define  TMFL_CPU_TM32                 0x00030006
#define  TMFL_CPU_HP                   0x00040007
#define  TMFL_CPU_R4640                0x00020008
#define  TMFL_CPU_ARM7                 0x00050009
#define  TMFL_CPU_ARM920T              0x0005000a
#define  TMFL_CPU_ARM940T              0x0005000b
#define  TMFL_CPU_ARM10                0x0005000c
#define  TMFL_CPU_STRONGARM            0x0005000d
#define  TMFL_CPU_RD24120              0x0006000e
#define  TMFL_CPU_ARM926EJS            0x0005000f
#define  TMFL_CPU_ARM946               0x00050010
#define  TMFL_CPU_R1910                0x00020011
#define  TMFL_CPU_R4450                0x00020012
#define  TMFL_CPU_TM3260               0x00030013
#define  TMFL_CPU_8051                 0x00070014
#define  TMFL_CPU_ARM922T              0x00050015
#define  TMFL_CPU_4KEC                 0x00020016
#define  TMFL_CPU_R4000                0x00020017
#define  TMFL_CPU_MIPS32               0x00020018
#define  TMFL_CPU_ARM720               0x00050019
#define  TMFL_CPU_R3900                0x0002001a
#define  TMFL_CPU_RD16023              0x0006001b
#define  TMFL_CPU_RD16024              0x0006001c
#define  TMFL_CPU_ARM1176JTZS          0x0005001d
#define  TMFL_CPU_ARM966ES             0x0005001e
#define  TMFL_CPU_ARM968ES             0x0005001f
#define  TMFL_CPU_ARM1020E             0x00050020
#define  TMFL_CPU_ARM1022E             0x00050021
#define  TMFL_CPU_ARM1026EJS           0x00050022
#define  TMFL_CPU_ARM1156T2FS          0x00050023
#define  TMFL_CPU_ARM1156TFS           0x00050024
#define  TMFL_CPU_TM3271               0x00030025
#define  TMFL_CPU_24KC                 0x00020026
#define  TMFL_CPU_24KF                 0x00020027
#define  TMFL_CPU_RD16025              0x00060028
#define  TMFL_CPU_RD16024C1            0x00060029
#define  TMFL_CPU_RD16025C1            0x0006002a
#define  TMFL_CPU_24KEC                0x0002002b
#define  TMFL_CPU_24KEF                0x0002002c
#define  TMFL_CPU_TM3270               0x0003002d
#define  TMFL_CPU_MIPS16               0x0002002e
#define  TMFL_CPU_R3000                0x0002002f
#define  TMFL_CPU_VD32040              0x00080030
#define  TMFL_CPU_TM2270               0x00030031
#define  TMFL_CPU_TM5250               0x00030032
#define  TMFL_CPU_ARMV4I               0x00050033
#define  TMFL_CPU_MIPS1                0x00020034
#define  TMFL_CPU_MIPS2                0x00020035
#define  TMFL_CPU_MIPS3                0x00020036
#define  TMFL_CPU_MIPS4                0x00020037
#define  TMFL_CPU_MIPS5                0x00020038
#define  TMFL_CPU_MIPS64               0x00020039

#endif /* #ifndef _TMFLAGS_H_SEEN */

