#
#                             IPSTB Project
#                   ---------------------------------
#
# Copyright (C) 2007 NXP B.V.,
# All Rights Reserved.
#
# Filename: $_TMROOT/project/project_include0.mk
#
# Included from $_TMROOT/sde/common.mk
#
# Rev Date       Author      Comments
#-------------------------------------------------------------------------------
#   1 20060622   batelaan    Initial
#   2 20060911   batelaan    Moved stuff here from mipsgnu_linux_include0.mk
#   3 20061010   burningh    Add -DTMFL_IC_PNX8335 based on _pnx8335_ diversity
#   4 20070214   batelaan    Merge drv&plf into src directory.
#   5 20070228   batelaan    Add _TMLIBSUFFIX
#   6 20070301   batelaan    Remove it again.
#   7 20070720   batelaan    Deprecate KMODULE and KERNEL_MODE vars
#   8 20071102   batelaan    Add doxygen info.
#   9 20071102   batelaan    Correct syntax error.
#  10 20071213   laird       Adding large file support.

_SDE_DEP_MAKEFILES += $(_TMROOT)/project/project_include0.mk

-include $(_TMROOT)/project/$(DIR_CONFIG)_include0.mk

ifeq "$(TMFL_MODE_KERNEL)" "1"
  # This is to ensure stdio.h and related files are available, which many drivers reference;
  # stdio.h is normally available under psos/ecos, but not linux kernel mode.

  # Uses _SDE_DEBUG_OPTIONS to ensure it is first in the include path
  ifdef _phStbCommon_DIR
    _SDE_DEBUG_OPTIONS += -I$(_phStbCommon_DIR)/inc
    REQUIRES_INTFS := $(filter-out phStbCommon,$(REQUIRES_INTFS))
  endif
endif

# Recursive builds of some pnx833x drivers fail because tmgdrTypes is sometimes erroneously mentioned in LIBS,
# but it does not have any src files, so remove it:
LIBS := $(filter-out tmgdrTypes,$(LIBS))

# Ideally IC_EMULATION should be handled via _TMDIVERSITY...
# If either the kernel config flag CONFIG_IC_EMULATION or the environment variable IC_EMULATION are set,
# then add -DTMFL_IC_EMULATION:
LOCAL_CFLAGS += \
  $(if $(CONFIG_IC_EMULATION)$(IC_EMULATION),-DTMFL_IC_EMULATION)

# Add -DTMFL_IC_PNX8335 to LOCAL_CFLAGS based on the diversity.
# Non-ideal, but needed to prevent problems with interface diversity on components that don't understand it.
LOCAL_CFLAGS += \
  $(if $(findstring _pnx8335_,$(_TMDIVERSITY)),-DTMFL_IC_PNX8335)

# DO NOT add flags for PNX8330/1/5 etc since that should be handled by _TMDIVERSITY.

# The following is required for files generated with dvp_gadget
LOCAL_CFLAGS += -DEMBEDDED

# The following is required for adding large file support to our components.
LOCAL_CFLAGS += -D_FILE_OFFSET_BITS=64 -DLARGEFILE_SOURCE -D_LARGEFILE64_SOURCE
#------------------------------------------------------------------------------
# Doxygen / ../sde/autodoc/autodoc.mk
#------------------------------------------------------------------------------
ifneq "$(filter userdoc devdoc,$(_TMRUNDOXYGEN) $(MAKECMDGOALS))" ""

# Produce HTML output using ../sde/autodoc/autodoc.mk .
# Options are html rtf pdf tex man, comma separated.
_TMDOC ?= html

include $(PRJROOT)/etc/setup_productversion.mk
include $(BUILDROOT)/.prjconfig

DOC_VERSION ?= $(PRODUCTVERSION)
DOC_STATUS  ?= $(if $(filter dev,$(PRODUCTVERSION)),Uncontrolled,Controlled)
DOC_AUTHOR  ?= NXP

ifdef CONFIG_SWPLF_STB225
  DOC_PROJECT_NUMBER = STB225
endif
ifdef CONFIG_SWPLF_STB230
  DOC_PROJECT_NUMBER = STB230
endif

DOC_ENABLED_SECTIONS = $(shell perl -n -e 'print "$$1 " if /^(\w+)=[ym]/;' $(BUILDROOT)/.prjconfig)

endif # ifneq ($(filter userdoc devdoc,$(_TMRUNDOXYGEN) $(MAKECMDGOALS)),)

