#.      COPYRIGHT (c) 2006 NXP Semiconductors 
# All Rights Reserved. 
#
# Filename: common_ext.mk

# changes to this file force rebuild
_SDE_DEP_MAKEFILES +=   $(DIR_SDE)/$(_TMTGTOSCLASS)/common_ext.mk

#-----------------------------------------------------------------------
# Installation
#-----------------------------------------------------------------------

# Define: _TMTGTROOTFS
# Root file system in which the <install> target installs libraries
# and applications.
#
# Default: value of ROOTFS variable (for compatibility).
#
# See also: <_TMTGTPREFIX> <INSTALL_DIR> <STAGING_INSTALL_DIR>
ifdef ROOTFS
  _TMTGTROOTFS ?= $(ROOTFS)
endif

ifndef _TMTGTROOTFS
  $(warning _TMTGTROOTFS (and ROOTFS) are not defined)
endif

# Define: _TMTGTPREFIX
# Path within <_TMTGTROOTFS> below which the <install> target
# installs applications and libraries.
#
# Default: /opt/nxp
_TMTGTPREFIX ?= /opt/nxp

ifdef STAGINGDIR
  # Define: STAGING_INSTALL_DIR
  # Path below which the <install> target installs libraries/include files that 
  # are not strictly required on the embedded root filesystem.
  #
  # Default: $(<STAGINGDIR>)$(<_TMTGTPREFIX>)
  STAGING_INSTALL_DIR=$(STAGINGDIR)$(_TMTGTPREFIX)
endif

# Define: INSTALL_DIR
# Path below which the <install> target installs applications and libraries.
#
# Default: $(<_TMTGTROOTFS>)$(<_TMTGTPREFIX>)
INSTALL_DIR=$(_TMTGTROOTFS)$(_TMTGTPREFIX)

# Define: _SDE_NO_DEFAULT_INSTALL
# If defined, then SDE2 won't define an 'install' target.
# This is useful if a component or application has a custom
# set of commands to install itself.
