#------------------------------------------------------------------------
#              COPYRIGHT (c) NXP Semiconductors 2007
#     All rights are reserved. Reproduction in whole or in part is
#     prohibited without the written consent of the copyright owner.
#
#------------------------------------------------------------------------

_SDE_DEP_MAKEFILES +=                                                         \
                $(DIR_SDE)/provided_by.mk

#=======================================================================
# Add CFLAG defines to indicate the interface providers
# Thanks to P.Meijers for this section
#-----------------------------------------------------------------------
# 
# Old: _SDE_PROVIDED_BY_FLAGS=`$(ECHO) $(strip $(REQUIRES) $(PROVIDES)) | $(GAWK) -f $(DIR_SDE)/awk/provided_by.awk`
#
# Extract the provider settings by creating CFLAGS of the form:
#   -D<Interface>_PROVIDER=<Provider> 
# These are needed by abstract interface headers to include the header of 
# the providing component, which makes the interface concrete.
#

#
# Cleanup the required interfaces as specified by the user.
#

# Merge interface and provider names into single words:
#   <Interface>-<Provider>
#
_SDE_PROVIDED_BY_ENTRIES := \
  $(subst $(_space_)PROVIDED_BY$(_space_),-,$(strip $(REQUIRES)))

#
# Define "function" variables to extract the individual parts of such an 
# interface-provider combination.
# Note that the = operator is used. Therefore the ENTRY variable can be 
# considered as the function argument.
#
_SDE_INTERFACE        = $(word 1,$(subst -, ,$(ENTRY)))
_SDE_DEFAULT_PROVIDER = $(word 2,$(subst -, ,$(ENTRY)))

#
# Define the function variable for the actual provider name to be used.
# In case a variable of the form <Interface>_PROVIDER is already defined by
# the user, then this is taken. Else the default provider is taken as specified
# in the REQUIRES variable.
#
_SDE_PROVIDER = $(firstword $($(_SDE_INTERFACE)_PROVIDER) $(_SDE_DEFAULT_PROVIDER))

#
# Create the FLAGS by looping through all interface-provider entries.
#
_SDE_PROVIDED_BY_FLAGS := \
  $(foreach ENTRY,$(_SDE_PROVIDED_BY_ENTRIES),-D$(_SDE_INTERFACE)_PROVIDER=$(_SDE_PROVIDER))

#
# Remove invalid entries (i.e. no value after the "=") and duplicates 
# (via sort).
#
_SDE_PROVIDED_BY_FLAGS := $(sort $(filter-out %=,$(_SDE_PROVIDED_BY_FLAGS)))

#============================================================================
