#!/bin/sh
# -*- backup-inhibited: t -*-

[% IF !CONFIG_USB_MASS_STORAGE_MODULES -%]
  [% SKIPFILE %]
[% END -%]

case "$1" in
    start)
    # Stop the loading messages appearing
    #cat /proc/sys/kernel/printk > /tmp/default_log_level
    kernelRelease=`uname -r`
    d=/lib/modules/$kernelRelease/kernel/drivers/
    f=/lib/modules/$kernelRelease/kernel/fs/

    # Load USB modules if available. This will enable support for USB Sticks/HDDs
[% IF CONFIG_USB_MASS_STORAGE_MODULES -%]
    vecho -n "Loading USB Mass storage modules..."
    for m in usb/storage/usb-storage; do
       if [ -f $d/$m.ko ]; then
          insmod $d/$m.ko
       fi
    done
    vecho "done"
[% END -%]

    #cat /tmp/default_log_level > /proc/sys/kernel/printk
    #rm -f /tmp/default_log_level
    ;;
    stop)
    echo "Cannot unload USB modules!"
    ;;
    *)
    echo "Usage: $0 {start|stop}"
    exit 1
    ;;
esac
