#!/bin/sh
# -*- backup-inhibited: t -*-

case "$1" in
    start)
    # Stop the loading messages appearing
    #cat /proc/sys/kernel/printk > /tmp/default_log_level

[% IF CONFIG_WATCHDOG_MODULE -%]
[% IF CONFIG_WATCHDOG_DAEMON -%]
    if [ -f /sbin/softdog ]; then
        vecho -n "Starting softdog..."
        /sbin/softdog
        vecho "done"
    fi
[% END -%]
[% END -%]

    kernelRelease=`uname -r`
    s=/lib/modules/$kernelRelease/kernel/sound
    x=/lib/modules/$kernelRelease/extra

[% IF CONFIG_ALSA_MODULES -%]
    vecho -n "Loading sound modules..."
    for m in soundcore core/snd core/oss/snd-mixer-oss core/snd-page-alloc core/snd-timer core/snd-pcm core/oss/snd-pcm-oss core/seq/snd-seq-device core/snd-rawmidi core/snd-hwdep; do
       if [ -f $s/$m.ko ]; then
          insmod $s/$m.ko
       fi
    done
    for m in phStbAlsa; do
       if [ -f $x/$m.ko ]; then
          eval insmod $x/$m.ko \$opts_$m
       fi
    done
    vecho "done"
[% END -%]

[% IF CONFIG_ALSA_USB_MODULES -%]
    vecho -n "Loading USB sound modules..."
    for m in usb/snd-usb-lib usb/snd-usb-audio; do
       if [ -f $s/$m.ko ]; then
          insmod $s/$m.ko
       fi
    done
    vecho "done"
[% END -%]

    #cat /tmp/default_log_level > /proc/sys/kernel/printk
    #rm -f /tmp/default_log_level
    ;;
    stop)
    echo "Cannot unload modules!"
    ;;
    *)
    echo "Usage: $0 {start|stop}"
    exit 1
    ;;
esac
