#!/bin/sh
# -*- backup-inhibited: t -*-

[% IF !(CONFIG_HTTPD || CONFIG_TELNETD) -%]
  # No logging daemons (syslogd or klogd) are started!
  [% SKIPFILE %]
[% END -%]

case "$1" in
    start)
	vecho -n "Starting network servers..."
[% IF CONFIG_TELNETD -%]
	# Start inetd or telnetd
	if [ -x /usr/sbin/telnetd ]; then
	  /usr/sbin/telnetd -l /sbin/loginsh
	  vecho -n "telnetd "
	elif [ -x /usr/sbin/inetd ]; then
	  /usr/sbin/inetd
	  vecho -n "inetd "
	fi
[% END -%]
	vecho "- done"
	;;
    stop)
	# do nothing
	;;
    *)
	echo "Usage: $0 {start|stop}"
	exit 1
	;;
esac
